edu.northwestern.at.morphadorner.corpuslinguistics.adornedword

## Class AdornedWordStopWordFilter

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.adornedword.AdornedWordStopWordFilter

- All Implemented Interfaces:
    AdornedWordFilter

      public class AdornedWordStopWordFilter
      extends java.lang.Object
      implements AdornedWordFilter

  An Adorned word stop word filter.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Set<java.lang.String>` | `stopWordsSet` Stop words.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdornedWordStopWordFilter()` Create the stop word filter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(AdornedWord adornedWord)` Tests if a specified adorned word should be included.
    `void` | `addStopWord(java.lang.String stopWord)` Add word to stop word list.
    `void` | `addStopWords(java.util.Collection<java.lang.String> stopWords)` Add words to stop word list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stopWordsSet

          protected java.util.Set<java.lang.String> stopWordsSet

      Stop words.

  - ### Constructor Detail

    - #### AdornedWordStopWordFilter

          public AdornedWordStopWordFilter()

      Create the stop word filter.

  - ### Method Detail

    - #### addStopWord

          public void addStopWord(java.lang.String stopWord)

      Add word to stop word list.
      Parameters:
        `stopWord` - Stop word to add.

    - #### addStopWords

          public void addStopWords(java.util.Collection<java.lang.String> stopWords)

      Add words to stop word list.
      Parameters:
        `stopWords` - Collection of stop words to add.

    - #### accept

          public boolean accept(AdornedWord adornedWord)

      Tests if a specified adorned word should be included.
      Specified by:
        `accept` in interface `AdornedWordFilter`
      Parameters:
        `adornedWord` - The adorned word to check.
      Returns:
        true to accept the adorned word.